<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ElectionPagePropertiesEditComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>election-page-properties-edit</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./election-page-properties-edit.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./election-page-properties-edit.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#ballots">ballots</a>
                            </li>
                            <li>
                                <a href="#mapping">mapping</a>
                            </li>
                            <li>
                                <a href="#models">models</a>
                            </li>
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#readOnly">readOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#subscriptions">subscriptions</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#addModel">addModel</a>
                            </li>
                            <li>
                                <a href="#bulkUpdate">bulkUpdate</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#refreshMapping">refreshMapping</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#canDoMapping">canDoMapping</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, service: <a href="../injectables/ElectionPagePropertiesService.html">ElectionPagePropertiesService</a>, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, operationDataService: <a href="../injectables/OperationDataService.html">OperationDataService</a>, dialog: MatDialog, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:25</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>service</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ElectionPagePropertiesService.html" target="_self" >ElectionPagePropertiesService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationDataService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationDataService.html" target="_self" >OperationDataService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="addModel"></a>
                        <span class="name">
                            <b>
                            addModel
                            </b>
                            <a href="#addModel"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>addModel()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="64" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:64</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="bulkUpdate"></a>
                        <span class="name">
                            <b>
                            bulkUpdate
                            </b>
                            <a href="#bulkUpdate"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>bulkUpdate()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="68" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:68</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="47" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:47</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="52" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:52</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="refreshMapping"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            refreshMapping
                            </b>
                            <a href="#refreshMapping"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>refreshMapping()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="60" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:60</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ballots"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            ballots
                            </b>
                            <a href="#ballots"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>ballots:     <code>string[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>string[]</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="mapping"></a>
                        <span class="name">
                            <b>
                            mapping
                            </b>
                            <a href="#mapping"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>mapping:     <code><a href="../miscellaneous/typealiases.html#Mapping" target="_self" >Mapping</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../miscellaneous/typealiases.html#Mapping" target="_self" >Mapping</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="models"></a>
                        <span class="name">
                            <b>
                            models
                            </b>
                            <a href="#models"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>models:     <code><a href="../interfaces/Model.html" target="_self" >Model[]</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/Model.html" target="_self" >Model[]</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operation"></a>
                        <span class="name">
                            <b>
                            operation
                            </b>
                            <a href="#operation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>operation:     <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="readOnly"></a>
                        <span class="name">
                            <b>
                            readOnly
                            </b>
                            <a href="#readOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>readOnly:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="subscriptions"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            subscriptions
                            </b>
                            <a href="#subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="canDoMapping"></a>
                        <span class="name"><b>canDoMapping</b><a href="#canDoMapping"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>canDoMapping()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/operation/parameters/election-page-properties/election-page-properties-edit.component.ts:41</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnDestroy, OnInit } from &#x27;@angular/core&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;
import { ReadOnlyService } from &#x27;../../service/read-only.service&#x27;;
import { ElectionPagePropertiesService } from &#x27;./services/election-page-properties.service&#x27;;
import { Mapping, Model } from &#x27;./model/election-page-properties&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;
import { OperationDataService } from &#x27;../../service/operation.data.service&#x27;;
import { MatDialog } from &#x27;@angular/material&#x27;;
import { ModelSelectorComponent, ModelSelectorData } from &#x27;./selector/model-selector.component&#x27;;

@Component({
  selector: &#x27;election-page-properties-edit&#x27;,
  templateUrl: &#x27;./election-page-properties-edit.component.html&#x27;,
  styleUrls: [&#x27;./election-page-properties-edit.component.scss&#x27;]
})
export class ElectionPagePropertiesEditComponent implements OnInit, OnDestroy {
  operation: Operation;

  mapping: Mapping;
  models: Model[];
  readOnly: boolean;
  private subscriptions: Subscription[] &#x3D; [];
  private ballots: string[];

  constructor(private readOnlyService: ReadOnlyService,
              private service: ElectionPagePropertiesService,
              private operationManagementService: OperationManagementService,
              private route: ActivatedRoute,
              private operationDataService: OperationDataService,
              private dialog: MatDialog,
              private router: Router) {
    this.subscriptions.push(
      readOnlyService.isElectionPagePropertiesInReadOnly().subscribe(readonly &#x3D;&gt; this.readOnly &#x3D; readonly),
      operationManagementService.operation.subscribe(operation &#x3D;&gt; this.operation &#x3D; operation)
    );
  }


  get canDoMapping() {
    return this.models &amp;&amp; this.models.length &gt; 0 &amp;&amp;
           (this.ballots &amp;&amp; this.ballots.length &gt; 0 ||
            this.mapping &amp;&amp; Object.keys(this.mapping).length &gt; 0);
  }

  ngOnDestroy(): void {
    this.subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }


  ngOnInit() {
    this.service.getModelsForOperation(this.operation.id).subscribe(models &#x3D;&gt; this.models &#x3D; models);
    this.refreshMapping();
    this.operationDataService.getAllRelatedBallots(this.operation.id, true, false)
      .subscribe(ballots &#x3D;&gt; this.ballots &#x3D; ballots);
  }


  private refreshMapping() {
    this.service.getBallotToModelMapping(this.operation.id).subscribe(mapping &#x3D;&gt; this.mapping &#x3D; mapping);
  }

  addModel() {
    this.router.navigate([&quot;model/create&quot;], {relativeTo: this.route})
  }

  bulkUpdate() {
    let data: ModelSelectorData &#x3D; {
      operation: this.operation,
      possibleBallots: this.ballots,
      possibleModels: this.models
    };
    this.dialog.open(ModelSelectorComponent, {data, disableClose: true, width: &quot;700px&quot;})
      .afterClosed()
      .subscribe(() &#x3D;&gt; this.refreshMapping());
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;electionPagePropertiesEdit&quot; class&#x3D;&quot;parameter-edit&quot; [class.read-only]&#x3D;&quot;readOnly&quot;&gt;
  &lt;mat-card-header&gt;
    &lt;mat-card-title&gt;{{&#x27;parameters.election-page-properties.edit.title&#x27; | translate}}&lt;/mat-card-title&gt;
    &lt;mat-card-subtitle fxLayout&#x3D;&quot;row&quot; fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
      &lt;span&gt;{{&#x27;parameters.election-page-properties.edit.subtitle&#x27; | translate}}&lt;/span&gt;
    &lt;/mat-card-subtitle&gt;
  &lt;/mat-card-header&gt;
  &lt;mat-card-content&gt;


    &lt;section *ngIf&#x3D;&quot;canDoMapping&quot; id&#x3D;&quot;mapping&quot;&gt;
      &lt;h3 class&#x3D;&quot;sub-section-header&quot;&gt;{{&quot;parameters.election-page-properties.edit.mapping.title&quot; | translate}}

        &lt;button mat-raised-button color&#x3D;&quot;primary&quot; (click)&#x3D;&quot;bulkUpdate()&quot;
                *ngIf&#x3D;&quot;!readOnly &amp;&amp; ballots &amp;&amp;  ballots.length &gt; 4&quot; id&#x3D;&quot;bulk-update-button&quot;&gt;
          &lt;mat-icon&gt;settings_ethernet&lt;/mat-icon&gt;
          {{&quot;parameters.election-page-properties.edit.mapping.bulk-update.open&quot; | translate}}
        &lt;/button&gt;
      &lt;/h3&gt;


      &lt;election-page-properties-mapping [models]&#x3D;&quot;models&quot; [operation]&#x3D;&quot;operation&quot; [mapping]&#x3D;&quot;mapping&quot;
                                        [readOnly]&#x3D;&quot;readOnly&quot;&gt;
      &lt;/election-page-properties-mapping&gt;

    &lt;/section&gt;


    &lt;section id&#x3D;&quot;models&quot;&gt;
      &lt;h3 class&#x3D;&quot;sub-section-header&quot;&gt;{{&quot;parameters.election-page-properties.edit.models.title&quot; | translate}}

        &lt;ng-container *roles&#x3D;&quot;[&#x27;CREATE_ELECTION_PAGE_PROPERTIES_MODEL&#x27;]&quot;&gt;
          &lt;button mat-raised-button (click)&#x3D;&quot;addModel()&quot; color&#x3D;&quot;primary&quot; id&#x3D;&quot;addModel&quot; *ngIf&#x3D;&quot;!readOnly&quot;&gt;
            &lt;mat-icon&gt;add&lt;/mat-icon&gt;
            {{&quot;parameters.election-page-properties.edit.models.action.create&quot; | translate | uppercase}}
          &lt;/button&gt;
        &lt;/ng-container&gt;

        &lt;election-page-properties-model-list [(models)]&#x3D;&quot;models&quot; [operation]&#x3D;&quot;operation&quot;
                                             [mapping]&#x3D;&quot;mapping&quot;&gt;&lt;/election-page-properties-model-list&gt;
      &lt;/h3&gt;

    &lt;/section&gt;


  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./election-page-properties-edit.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.sub-section-header {
  line-height: 2em;

  button {
    float: right;
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="electionPagePropertiesEdit" class="parameter-edit" [class.read-only]="readOnly">  <mat-card-header>    <mat-card-title>{{\'parameters.election-page-properties.edit.title\' | translate}}</mat-card-title>    <mat-card-subtitle fxLayout="row" fxLayoutAlign="space-between">      <span>{{\'parameters.election-page-properties.edit.subtitle\' | translate}}</span>    </mat-card-subtitle>  </mat-card-header>  <mat-card-content>    <section *ngIf="canDoMapping" id="mapping">      <h3 class="sub-section-header">{{"parameters.election-page-properties.edit.mapping.title" | translate}}        <button mat-raised-button color="primary" (click)="bulkUpdate()"                *ngIf="!readOnly && ballots &&  ballots.length > 4" id="bulk-update-button">          <mat-icon>settings_ethernet</mat-icon>          {{"parameters.election-page-properties.edit.mapping.bulk-update.open" | translate}}        </button>      </h3>      <election-page-properties-mapping [models]="models" [operation]="operation" [mapping]="mapping"                                        [readOnly]="readOnly">      </election-page-properties-mapping>    </section>    <section id="models">      <h3 class="sub-section-header">{{"parameters.election-page-properties.edit.models.title" | translate}}        <ng-container *roles="[\'CREATE_ELECTION_PAGE_PROPERTIES_MODEL\']">          <button mat-raised-button (click)="addModel()" color="primary" id="addModel" *ngIf="!readOnly">            <mat-icon>add</mat-icon>            {{"parameters.election-page-properties.edit.models.action.create" | translate | uppercase}}          </button>        </ng-container>        <election-page-properties-model-list [(models)]="models" [operation]="operation"                                             [mapping]="mapping"></election-page-properties-model-list>      </h3>    </section>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'ElectionPagePropertiesEditComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ElectionPagePropertiesEditComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
